Bug 708947 - RHEL6: net-snmp may crash in netsnmp_access_arp_entry_create when system runs out of memory
Summary: RHEL6: net-snmp may crash in netsnmp_access_arp_entry_create when system runs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 6.2
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-30 09:22 UTC by Jijesh Kalliyat
Modified: 2018-11-14 12:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior this update, the snmpd daemon did not properly recover when the system run out of memory when populating IP-MIB::ipNetToPhysicalTable, which could lead to crash of the daemon. This update adds additional checks when running out of memory and the snmpd daemon should not crash in this situation. (BZ#708947).
Clone Of:
Environment:
Last Closed: 2011-12-06 17:11:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1524 0 normal SHIPPED_LIVE net-snmp bug fix update 2011-12-06 01:02:35 UTC

Description Jijesh Kalliyat 2011-05-30 09:22:02 UTC
Description of problem:

net-snmp may crash in netsnmp_access_arp_entry_create when system runs out of memory since return value of the memory allocation is not validated before it is dereferenced in the function.

The value is validated by the callers of netsnmp_access_arp_entry_create(), so it should be sufficient to add a simple check that just returns a NULL if an object could not be allocated. Attached patch does this.

Version-Release number of selected component (if applicable):
- Patch is against upstream trunk, so upstream also may have the same problem. 
- RHEL6.1

Steps to Reproduce:
1. Keep running the snmpd for several months once it is started. 
2.
3.

Actual results:
The snmpd crashes due to memory allocation failure.

Expected results:
snmpd should not crash.

Additional info:

RHEL5 bugzilla is being tracked at https://bugzilla.redhat.com/show_bug.cgi?id=706916 . We need the same fix in RHEL6 too.

Comment 5 Jan Safranek 2011-08-11 11:43:24 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior this update, the snmpd daemon did not properly recover when the system run out of memory when populating IP-MIB::ipNetToPhysicalTable, which could lead to crash of the daemon. This update adds additional checks when running out of memory and the snmpd daemon should not crash in this situation. (BZ#708947).

Comment 10 errata-xmlrpc 2011-12-06 17:11:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1524.html


Note You need to log in before you can comment on or make changes to this bug.